<?php 
/**
 * Menus Customizer options
 *
 * @package Theme Palace
 * @subpackage TP Philosophy Pro
 * @since TP Philosophy Pro 1.0
 */
//menu section
$wp_customize->add_section( 'menu_options', array(
	'description'		=> esc_html__( 'Extra Menu Options specific to this theme','tp-philosophy-pro' ),
	'priority'			=> 10,
	'panel'  			=> 'nav_menus',
	'title'    			=> esc_html__( 'Additional Menu Options', 'tp-philosophy-pro' ),
) );

//Disable primary menu
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[disable_primary_menu]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $options['disable_primary_menu'],
	'sanitize_callback' => 'tp_philosophy_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[disable_primary_menu]', array(			
	'label'    			=> esc_html__( 'Check to Disable Primary Menu', 'tp-philosophy-pro' ),
	'section'  			=> 'menu_options',
	'type'	   			=> 'checkbox',
) );		

//Disable search options
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[disable_search]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $options['disable_search'],
	'sanitize_callback' => 'tp_philosophy_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[disable_search]', array(			
	'label'    			=> esc_html__( 'Check to Disable Search Options', 'tp-philosophy-pro' ),
	'section'  			=> 'menu_options',
	'type'	   			=> 'checkbox',
	// 'active_callback'	=> 'tp_philosophy_pro_is_primary_menu_disable',
) );