<?php
/**
* pagination options
*
* @package Theme_Palace
* @subpackage TP_Philosophy_Pro
* @since 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'tp_philosophy_pro_pagination', array(
	'title'               => esc_html__('Pagination','tp-philosophy-pro'),
	'description'         => esc_html__( 'Pagination section options.', 'tp-philosophy-pro' ),
	'panel'               => 'tp_philosophy_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[pagination_enable]', array(
	'sanitize_callback'   => 'tp_philosophy_pro_sanitize_checkbox',
	'default'             => $options['pagination_enable']
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'tp-philosophy-pro' ),
	'section'             => 'tp_philosophy_pro_pagination',
	'type'                => 'checkbox',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'tp_philosophy_pro_sanitize_select',
	'default'             => $options['pagination_type']
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'tp-philosophy-pro' ),
	'section'             => 'tp_philosophy_pro_pagination',
	'type'                => 'select',
	'choices'			  => tp_philosophy_pro_pagination_options(),
	'active_callback'	  => 'tp_philosophy_pro_is_pagination_enable'
) );
